Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter.expression
Interface BinaryExpression

All Superinterfaces:
  Expression

All Known Subinterfaces:
  Add, Divide, Multiply, Subtract

    @XmlElement(value="BinaryOperatorType")
    public interface BinaryExpression

extends Expression

Abstract base class for the various filter expressions that compute some value from two input values.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Field Summary

Fields inherited from interface Expression
`NIL`

Method Summary
`Expression` | `getExpression1()` Returns the expression that represents the first (left) value that will be used in the computation of another value.
`Expression` | `getExpression2()` Returns the expression that represents the second (right) value that will be used in the computation of another value.

Methods inherited from interface Expression
`accept, evaluate, evaluate`

Method Detail

### getExpression1

    @XmlElement(value="expression")
    Expression getExpression1()

  Returns the expression that represents the first (left) value that will be used in the computation of another value.

### getExpression2

    @XmlElement(value="expression")
    Expression getExpression2()

  Returns the expression that represents the second (right) value that will be used in the computation of another value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.